<?php
/**
 * Raw SMS keyword notify message receiving example (user price depends on dynamic condition)
 * 
 * @see MBSLib/examples/simple/notify_sms2.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

// Inicijuojame MBS funkcijų biblioteką
include_once(dirname(__FILE__).'/../../lib/MBS.class.php');
$mbs_base = new MBSBase();
$mbs_base->setSecretKey('test');

// Konfigūracija
$config['servers'] = array('213.226.139.33', '213.226.139.42', '213.226.139.43', '193.105.49.4', '193.105.49.5', '192.168.1.39');
$creditConfig = array(
				'50' => array(
					'lt' => 50,
					'lv' => 10,
				),
				'100' => array(
					'lt' => 100,
					'lv' => 20,
				),
				'200' => array(
					'lt' => 200,
					'lv' => 30,
				)
			);
// Nusiskaitome pagrindinius SMS duomenis
$from = $_GET['From'];
$action = $_GET['action'];
$module = $_GET['ModuleName'];
$msisdn = $_GET['Msisdn'];
$number = $_GET['Number'];
$operator = $_GET['Operator'];
$sms = $_GET['Sms'];
$country = $_GET['country'];
$currency = $_GET['currency'];
//file_put_contents('../tmp.log', date('Y-m-d H:i:s ') . print_r($_GET, true), FILE_APPEND);

// Nežinomo serverio GET parametrai
if (strstr($_SERVER['REMOTE_ADDR'], '193.105.49.')===false) {
    if ($country == 'lt') {
        echo 'ERROR;Paslauga blogai sukonfiguruota (nezinomas serveris)';
    } else {
        echo 'ERROR;Pakalpojums nav uzstadita (zinams servera)';
    }
    exit();
}

// Sufalsifikuoti GET parametrai
if( !$mbs_base->verifyArrayHigh($_GET) ) {
    if ($country == 'lt') {
        echo 'ERROR;Paslauga blogai sukonfiguruota (siuntejas ne MBS)';
    } else {
        echo 'ERROR;Pakalpojums nav uzstadits (pec sutitaja NBS)';
    }
    exit();
}

// Paslaugos logika
list($keyword, $credits) = explode(' ', $sms);
switch ($action) {
    // Gautas sms
	case 'sms':
        // Prasome apmokestinti pagal dinamine salyga
		if( is_numeric($credits)) {
			if (isset($creditConfig[$credits])) {
            	$response = array('BILL', $creditConfig[$credits][$country], $currency);
			} else {
			    if ($country == 'lt') {
				    $response = array('ERROR', 'Klaida. Galimas kreditu kiekis: 50, 100, 200');
			    } else {
			        $response = array('ERROR', 'Kluda. Iespejamie kreditpunkti: 50, 100, 200');
			    }
			}
        // Netvarkingas SMS tekstas
		} else {
		    if ($country == "lt") {
        	    $response = array('ERROR', 'Nenurodete kiek kreditu pirkti');
		    } else {
		        $response = array('ERROR', 'Nav noradits, cik daudz kreditu, lai iegadatos');
		    }
        }
    break;
    
    // Gautas apmokestinimo rezultatas
	case 'delivery':
        /** ... cia suteikiama paslauga ... **/
        $paslauga_suteikta = true;
        
        if ($country == "lt") {
		    $response = array('SMS', 'Jus nusipirkote '.$credits.' kreditu');
        } else {
            $response = array('SMS', 'Esat iegadajies '.$credits.' kredita');
        }
    break;
}

// Paslaugos atsakymas vartotojui
echo implode(';', array_map('urlencode', $response));

?>