<?php
/**
 * Raw subscribtion notify messages receiving example
 * 
 * @see MBSLib/examples/simple/notify_subscription.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

// Inicijuojame MBS funkcijų biblioteką
include_once(dirname(__FILE__).'/../../lib/MBS.class.php');
$mbs_base = new MBSBase();
$mbs_base->setSecretKey('SuperSecure');

/**
 * Suranda sistemos naudotoja pagal nika
 * 
 * @param string $nick Sistemos naudotojo nikas
 * 
 * @return array Naudotojo duomenu struktura arba NULL jei vartotojas nerastas
 */
function find_user($nick)
{
    if (in_array($nick, array('a', 'b', 'c'))) {
        return array(
            'nick' => $nick,
            'state' => 'inactive',
            'credits' => 0,
            'wait_for_pay' => false,
            'last_login_date' => '2012-02-10 17:18:05',
            'last_login_ip' => '81.7.76.85',
        );
    } else {
        return null;
    }
}

// Konfigūracija
$config['servers'] = array('213.226.139.33', '213.226.139.42', '213.226.139.43', '193.105.49.4', '193.105.49.5');

if ( in_array( $_SERVER['REMOTE_ADDR'], $config['servers'] ) ) {
    if ( $mbs_base->verifyArrayHigh($_GET) ) {
        // Nusiskaitome pagrindinius pranesimo duomenis
        $action = $_GET['action'];
        $mbs_service_id = $_GET['serviceID'];
        $mbs_account_id = $_GET['mbs_account_id'];
        $mbs_account_phone = $_GET['mbs_account_phone'];
        $nick = trim($_GET['sdata']);
        
        // Uzklausimas, pries vartotojo SMS registracija
        if ($action=='sms') {
            /** ... cia tikriname ar zinutes siuntejui leisti registruotis ... **/
            if (strlen($nick)>0 && find_user($nick)) {
                $response = 'OK';
            // Formuojame atgalines zinutes atsakyma
            } else {
                $response = 'ERRORSuklydote irasydamas savo nika, pasitaisykite';
            }
        // Vartotojo veiksmai prenumeratoje
        } else {
            // Surandame vartotoja savo sistemoje
            if (strlen($nick)>0 && $user=find_user($nick)) {
                switch ($action) {
                    // Uzsiregistravo naujas vartotojas
                    case 'register':
                    // Vartotojo naryste atnaujinta po laikino sustabdymo (apmokestinimas)
                    case 'resume':
                        /** ... cia vartotojui suteikiama VIP prieiga ... **/
                        $user['state'] = 'active';
                        $user['credits'] += 10;
                        
                        $response = 'OK';
                    break;
        
                    // Vartotojo prenumerata pratesta (apmokestinimas)
                    case 'pay':
                    case 'renew':
                        /** ... cia renkama statistika, kiek ivyko sekmingu pratesimu (VIP prieiga jau turetu butu suteikta) ... **/
                        $user['state'] = 'active';
                        $user['credits'] += 10;
                        
                        $response = 'OK';
                    break;
                    
                    // Vartotojas issiregistravo
                    case 'unregister':
                    case 'remove':
                    // Vartotojo naryste buvo laikinai sustabdyta
                    case 'suspend':
                        /** ... cia vartotojui sustabdoma VIP prieiga ... **/
                        $user['state'] = 'inactive';
                        
                        $response = 'OK';
                    break;
                    
                    // Tik Omnitel, patvirtinus prenumerata (ijungiama partnerio prasymu)
                    case 'approve':
                    case 'approve_renew':
                        $user['state'] = 'active';
                        $user['wait_for_pay'] = true;
                        
                        $response = 'OK';
                    break;
                    
                    // Tik Omnitel, tikrinama kada paskutini karta si naryste naudota projekto puseje
                    case 'check':
                        /** ... cia grazinama paskutine vartotojo prisijungimo data ir IP ... **/
                        $response = array('OK', $user['last_login_date'], $user['last_login_ip']);
                    break;
        
                    // Nenumatytas pranesimo tipas
                    default:
                        $response = 'ERRORNezinomas pranesimo tipas';
                    break;
                }
            // Jei gaunama uzklausa apie vartotoja, kurio nera partnerio sistemoje (pvz. klaidingas vartotojo identifikatorius partnerio sistemoje)
            } else {
                $response = 'ERROR=NOT_MEMBER';
            }
        }
    // Sufalsifikuoti GET parametrai
    } else {
        $response = 'ERRORSiuntejas ne MBS';
    }
// Nežinomo serverio GET parametrai
} else {
    $response = 'ERRORNezinomas serveris';
}

// Paslaugos atsakymas vartotojui
if (is_array($response)) {
    echo implode(';', array_map('urlencode', $response));
} else {
    echo $response;
}

?>