<?php
/**
 * Raw mass SMS sending example
 *
 * @see MBSLib/examples/simple/send_sms_packet.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

include_once(dirname(__FILE__).'/../../lib/SMSComm.class.php');

try {
    // Init SMS API client with wanted configuration
    define('SMSCOMM_USERNAME', 'demo');
    define('SMSCOMM_PASSWORD', 'demo');
    $client = new SMSComm(SMSCOMM_USERNAME, SMSCOMM_PASSWORD);
    $client->setDebug(true);

    // Send mass SMS
    $ident = time();
    $messages = array(
        1 => array('phone' => '37065659515'),
        2 => array('phone' => '37060042751', 'sms' => 'Dear John. Demo SMS API message'),
    );
    $result = $client->sendPacket($messages, false, 'VeroDemo', 'Demo SMS API message', null, $ident);
    if ($result['status']=='success') {
        echo 'Sent '. count($result['data']['sent']) .' SMS messages, '. count($result['data']['errors']) .' errors';
    } else {
        echo 'Errors in SMS messages: '.var_export($result['data']['errors'], true);
    }

    // Watch sending/delivery statistics
    $stats = $client->getPacket($ident);
    echo 'Packet information: '. var_export($stats, true);
} catch(Exception $e) {
    echo "Error in SMS API: " . $e;
}

?>